Show / Hide Table of Contents

# Class RestUserMessage

Represents a REST-based message sent by a user.

##### Inheritance

System.Object
RestEntity<System.UInt64>
RestMessage
RestUserMessage

##### Implements

IUpdateable
IUserMessage
IMessage
ISnowflakeEntity
IEntity<System.UInt64>
IDeletable

##### Inherited Members

RestMessage.Channel
RestMessage.Author
RestMessage.Source
RestMessage.Content
RestMessage.CreatedAt
RestMessage.Timestamp
RestMessage.Activity
RestMessage.Application
RestMessage.Reference
RestMessage.UpdateAsync(RequestOptions)
RestMessage.DeleteAsync(RequestOptions)
RestMessage.ToString()
RestMessage.IMessage.Type
RestMessage.IMessage.Author
RestMessage.IMessage.Attachments
RestMessage.IMessage.Embeds
RestMessage.IMessage.MentionedUserIds
RestMessage.Reactions
RestMessage.AddReactionAsync(IEmote, RequestOptions)
RestMessage.RemoveReactionAsync(IEmote, IUser, RequestOptions)
RestMessage.RemoveReactionAsync(IEmote, UInt64, RequestOptions)
RestMessage.RemoveAllReactionsAsync(RequestOptions)
RestMessage.GetReactionUsersAsync(IEmote, Int32, RequestOptions)
RestEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestUserMessage : RestMessage, IUpdateable, IUserMessage, IMessage, ISnowflakeEntity, IEntity<ulong>, IDeletable

### Properties

| Improve this Doc View Source

#### Attachments

##### Declaration

    public override IReadOnlyCollection<Attachment> Attachments { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<Attachment> |

##### Overrides

RestMessage.Attachments
| Improve this Doc View Source

#### EditedTimestamp

##### Declaration

    public override DateTimeOffset? EditedTimestamp { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |

##### Overrides

RestMessage.EditedTimestamp
| Improve this Doc View Source

#### Embeds

##### Declaration

    public override IReadOnlyCollection<Embed> Embeds { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<Embed> |

##### Overrides

RestMessage.Embeds
| Improve this Doc View Source

#### IsPinned

##### Declaration

    public override bool IsPinned { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

RestMessage.IsPinned
| Improve this Doc View Source

#### IsSuppressed

##### Declaration

    public override bool IsSuppressed { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

RestMessage.IsSuppressed
| Improve this Doc View Source

#### IsTTS

##### Declaration

    public override bool IsTTS { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

##### Overrides

RestMessage.IsTTS
| Improve this Doc View Source

#### MentionedChannelIds

##### Declaration

    public override IReadOnlyCollection<ulong> MentionedChannelIds { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.UInt64> |

##### Overrides

RestMessage.MentionedChannelIds
| Improve this Doc View Source

#### MentionedRoleIds

##### Declaration

    public override IReadOnlyCollection<ulong> MentionedRoleIds { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<System.UInt64> |

##### Overrides

RestMessage.MentionedRoleIds
| Improve this Doc View Source

#### MentionedUsers

##### Declaration

    public override IReadOnlyCollection<RestUser> MentionedUsers { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<RestUser> |

##### Overrides

RestMessage.MentionedUsers
| Improve this Doc View Source

#### Tags

##### Declaration

    public override IReadOnlyCollection<ITag> Tags { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IReadOnlyCollection<ITag> |

##### Overrides

RestMessage.Tags

### Methods

| Improve this Doc View Source

#### ModifyAsync(Action<MessageProperties>, RequestOptions)

##### Declaration

    public Task ModifyAsync(Action<MessageProperties> func, RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<MessageProperties> | func |
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### ModifySuppressionAsync(Boolean, RequestOptions)

##### Declaration

    public Task ModifySuppressionAsync(bool suppressEmbeds, RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | suppressEmbeds |
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### PinAsync(RequestOptions)

##### Declaration

    public Task PinAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

| Improve this Doc View Source

#### Resolve(TagHandling, TagHandling, TagHandling, TagHandling, TagHandling)

##### Declaration

    public string Resolve(TagHandling userHandling = TagHandling.Name, TagHandling channelHandling = TagHandling.Name, TagHandling roleHandling = TagHandling.Name, TagHandling everyoneHandling = TagHandling.Ignore, TagHandling emojiHandling = TagHandling.Name)

##### Parameters

Type | Name | Description
--- | --- | ---
TagHandling | userHandling |
TagHandling | channelHandling |
TagHandling | roleHandling |
TagHandling | everyoneHandling |
TagHandling | emojiHandling |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Resolve(Int32, TagHandling, TagHandling, TagHandling, TagHandling, TagHandling)

##### Declaration

    public string Resolve(int startIndex, TagHandling userHandling = TagHandling.Name, TagHandling channelHandling = TagHandling.Name, TagHandling roleHandling = TagHandling.Name, TagHandling everyoneHandling = TagHandling.Ignore, TagHandling emojiHandling = TagHandling.Name)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | startIndex |
TagHandling | userHandling |
TagHandling | channelHandling |
TagHandling | roleHandling |
TagHandling | everyoneHandling |
TagHandling | emojiHandling |

##### Returns

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### UnpinAsync(RequestOptions)

##### Declaration

    public Task UnpinAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

### Implements

IUpdateable
IUserMessage
IMessage
ISnowflakeEntity
IEntity<TId>
IDeletable